# mock.rb

Path: | lib/facets/more/mock.rb
Last Update: | Wed Dec 05 20:39:29 +0000 2007

# mock.rb

## Copyright (c) 2005 George Moschovitis, Michael Granger

      Ruby License

      This module is free software. You may use, modify, and/or redistribute this
      software under the same terms as Ruby.

      This program is distributed in the hope that it will be useful, but WITHOUT
      ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
      FOR A PARTICULAR PURPOSE.

## Special Thanks

Thanks goes to Michael Granger for Test::Unit::Mock on which this library is partially based.

## Author(s)

- Thomas Sawyer

## Developer Notes

      TODO Rename to MockObject ?
           Should this be under Test::Unit too ?

### Required files

ostruct

### Methods

Mock

### Public Instance methods

Mock( realclass )

Factory method for creating semi-functional mock objects given the class which is to be mocked. It looks like a constant for purposes of syntactic sugar.

[Validate]